<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Annote Lists</TITLE>
<link href="suif1_85.html" rel=Next>
<link href="suif1_83.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_83.html">previous</A>, <A HREF="suif1_85.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC84" HREF="suif1_toc.html#TOC84">Annotation Lists</A></H2>
<P>
<A NAME="IDX617"></A>

</P>
<P>
<A NAME="IDX618"></A>
<A NAME="IDX619"></A>
<A NAME="IDX620"></A>
Annotations are stored on lists attached to SUIF objects.  The library
defines an <CODE>annote_list</CODE> class for this purpose.  Besides the
standard list functions (see section <A HREF="suif1_92.html#SEC92">Generic Lists</A>), the <CODE>annote_list</CODE>
class provides two additional methods.  The <CODE>peek_annote</CODE> method
searches through the list for an annotation with the specified name.  It
returns a pointer to the first such annotation or <CODE>NULL</CODE> if the
search was unsuccessful.  The <CODE>get_annote</CODE> method does the same
thing, but it removes the annotation from the list.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_83.html">previous</A>, <A HREF="suif1_85.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
